Submit the task to Cycle for batch processing

post

/CycleService/rest/services/tasks

The CycleService REST API can be used to submit a task of activity processing from the OIPA user interface or any third-party system to Cycle Agent.

Request

Supported Media Types
Header Parameters
Body ()
Cycle task submit request.
Root Schema : SubmitTaskRequest
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Task submitted successfully. Response contains CycleGUID and interrupt key.

400 Response

Invalid request or invalid GUID format.

401 Response

Authentication refused for provided credentials or the token is invalid.

403 Response

Authentication refused for provided credentials or the token is invalid.

500 Response

Internal server error while submitting the task.
Back to Top

Examples

This example describes how to create a submit cycle batch for processing.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -X POST \    
     -H "Accept: application/json" \
     -H "ClientNumber: username" \
     -H "PersonalId: password" \
     -H "Content-Type: application/json" \
     -L "http://server:port/CycleService/rest/services/tasks" \
     -d '{"[Use this placeholder to plug-in the example request body given below]"}'

The following table shows the Cycle Level and the associated command:

Cycle Level Command
P Pause
R Resume
D Advanced System Date
A Abort Current Cycle
S Sequence Name
Q Quit
01 Pre-Company
02 Pre-Plan
03 Policy
04 Post-Plan
05 Post-Company
07 Pre-Client
08 Post-Client

Request and Response Body Examples in JSON Format

Example no.1

Standard Request Body

{
    "cycleLevel": "03",
    "activityId": "C61EC1A9-1522-465F-A2A5-8A9C0DD989CE",
    "companyId: "05711222-7DB3-4EBD-A821-57A30A699B88",
    "processAll": false
}

Standard Response Body

{
    "interruptKey:": "CycleProcess:Interrupt:05711222-7DB3-4EBD-A821-57A30A699B88",
    "cycleId": "D657D934-B8EB-4ADD-A27E-1812FA5CEFCD"
}

Example no.2

Request Body for initiating a Cycle for all the Activities at a policy level:

{
    "cycleLevel": "03"
}

Response Body for initiating a Cycle for all the Activities at a policy level:

{
    "interruptKey:": "CycleProcess:Interrupt",
    "cycleId": "D7549715-D0E0-4CB6-BCB8-8711FB297A89"
}

Example no.3

Request Body for initiating a Cycle for all the Activities at pre-plan level

{
    "cycleLevel": "02"
}

Response Body for initiating a Cycle for all the Activities at pre-plan level:

{
    "interruptKey:": "CycleProcess:Interrupt",
    "cycleId": "C4B25D5B-BAFD-4E29-9E91-2302F48B6917"
}

Example no.4

Request Body for pausing a running cycle task

{
    "cycleAction": "P"
}

Response Body for pausing a running cycle task:

{
    "cycleId": null
}

Example no.5

Request body for pausing a running cycle task initiated only for a parent company:

{
    "cycleLevel": "03",
    "companyId": "05711222-7DB3-4EBD-A821-57A30A699B88"
}

Reponse Body for initiating a Cycle for pausing a running cycle task initiated only for a parent company:

{
    "interruptKey:": "CycleProcess:Interrupt:05711222-7DB3-4EBD-A821-57A30A699B88",
    "cycleId": "6F56A05B-3060-48C1-B326-12398BFC02B8"
}

Example no.6

Request Body for resuming a paused running cycle task

{
    "cycleAction": "R"
}

Response Body for resuimg a paused running cycle task:

{
    "cycleId": null
}

Example no.7

Request Body for aborting a paused or running cycle task

{
    "cycleAction": "A"
}

Response Body for aborting a paused or running cycle task:

{
    "cycleId": null
}

Example no.8

Request Body for initiating a cycle with a sequence name:

{
    "cycleLevel": "S FullTermCycle"
}

Response Body for intiating a cycle with a sequence name:

{
    "interruptKey:": "CycleProcess:Interrupt",
    "cycleId": "6D0D2A1F-5C85-422B-90BE-7DDCF4C15975"
}

Example no.9

Request body for initiating a cycle with a sequence name only for a parent company:

{
    "cycleLevel": "S FullTermCycle 3591398D-D745-4995-B3E2-B51503C2CD86"
}

Response Body for intiating a cycle with a sequence name only for a parent company:

{
    "interruptKey:": "CycleProcess:Interrupt",
    "cycleId": "F40ADA8B-1B68-42F9-BEB5-AC13BB063DEB"
}
Back to Top